<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.3116
Name: Findings Section (DIR) (06)
Description: Die Findings Section enthält die Befunde. 
            
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.3116-2016-09-06T172526">
   <title>Findings Section (DIR) (06)</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3116
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3116']]]
Item: (F06FindingsSectionDIR)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3116
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3116']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3116']]
Item: (F06FindingsSectionDIR)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3116']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3116']]"
         id="d19e1527-false-d24961e0">
      <extends rule="ANY"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3116-2016-09-06T172526.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.3116'])&gt;=1">(F06FindingsSectionDIR): Element hl7:templateId[@root='1.2.276.0.76.10.3116'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3116-2016-09-06T172526.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.3116'])&lt;=1">(F06FindingsSectionDIR): Element hl7:templateId[@root='1.2.276.0.76.10.3116'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3116-2016-09-06T172526.html"
              test="count(hl7:title)&gt;=1">(F06FindingsSectionDIR): Element hl7:title ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3116-2016-09-06T172526.html"
              test="count(hl7:title)&lt;=1">(F06FindingsSectionDIR): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3116-2016-09-06T172526.html"
              test="count(hl7:text)&gt;=1">(F06FindingsSectionDIR): Element hl7:text ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3116-2016-09-06T172526.html"
              test="count(hl7:text)&lt;=1">(F06FindingsSectionDIR): Element hl7:text kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3116
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3116']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3116']]/hl7:templateId[@root='1.2.276.0.76.10.3116']
Item: (F06FindingsSectionDIR)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3116']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3116']]/hl7:templateId[@root='1.2.276.0.76.10.3116']"
         id="d19e1529-false-d25004e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3116-2016-09-06T172526.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(F06FindingsSectionDIR): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3116-2016-09-06T172526.html"
              test="string(@root)=('1.2.276.0.76.10.3116')">(F06FindingsSectionDIR): Der Wert von @root MUSS '1.2.276.0.76.10.3116' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3116
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3116']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3116']]/hl7:code
Item: (F06FindingsSectionDIR)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3116']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3116']]/hl7:code"
         id="d19e1537-false-d25019e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3116-2016-09-06T172526.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(F06FindingsSectionDIR): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3116
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3116']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3116']]/hl7:title
Item: (F06FindingsSectionDIR)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3116']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3116']]/hl7:title"
         id="d19e1539-false-d25030e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3116-2016-09-06T172526.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(F06FindingsSectionDIR): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3116-2016-09-06T172526.html"
              test="text()='Befund'">(F06FindingsSectionDIR): Der Elementinhalt von 'hl7:title' MUSS ''Befund'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3116
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3116']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3116']]/hl7:text
Item: (F06FindingsSectionDIR)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3116']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3116']]/hl7:text"
         id="d19e1545-false-d25045e0">
      <extends rule="SD.TEXT"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3116-2016-09-06T172526.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(F06FindingsSectionDIR): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
