<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.3118
Name: Auftrag Section (06)
Description: konkrete Angaben (Leistungen), die der beauftragte Arzt durchführen soll. Hierzu ist EBM-Katalog zu verwenden. 
            
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.3118-2016-01-28T144256">
   <title>Auftrag Section (06)</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3118
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3118']]]
Item: (F06Auftrag)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3118
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3118']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3118']]
Item: (F06Auftrag)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3118']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3118']]"
         id="d19e1566-false-d25073e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3118-2016-01-28T144256.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.3118'])&gt;=1">(F06Auftrag): Element hl7:templateId[@root='1.2.276.0.76.10.3118'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3118-2016-01-28T144256.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.3118'])&lt;=1">(F06Auftrag): Element hl7:templateId[@root='1.2.276.0.76.10.3118'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3118-2016-01-28T144256.html"
              test="count(hl7:templateId[not(@nullFlavor)])&gt;=1">(F06Auftrag): Element hl7:templateId[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3118-2016-01-28T144256.html"
              test="count(hl7:templateId[not(@nullFlavor)])&lt;=1">(F06Auftrag): Element hl7:templateId[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3118-2016-01-28T144256.html"
              test="count(hl7:code[(@code='AUFTRAG' and @codeSystem='1.2.276.0.76.3.1.135.8.5.99')])&gt;=1">(F06Auftrag): Element hl7:code[(@code='AUFTRAG' and @codeSystem='1.2.276.0.76.3.1.135.8.5.99')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3118-2016-01-28T144256.html"
              test="count(hl7:code[(@code='AUFTRAG' and @codeSystem='1.2.276.0.76.3.1.135.8.5.99')])&lt;=1">(F06Auftrag): Element hl7:code[(@code='AUFTRAG' and @codeSystem='1.2.276.0.76.3.1.135.8.5.99')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3118-2016-01-28T144256.html"
              test="count(hl7:title)&gt;=1">(F06Auftrag): Element hl7:title ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3118-2016-01-28T144256.html"
              test="count(hl7:title)&lt;=1">(F06Auftrag): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3118-2016-01-28T144256.html"
              test="count(hl7:text[not(@nullFlavor)])&gt;=1">(F06Auftrag): Element hl7:text[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3118-2016-01-28T144256.html"
              test="count(hl7:text[not(@nullFlavor)])&lt;=1">(F06Auftrag): Element hl7:text[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3118
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3118']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3118']]/hl7:templateId[@root='1.2.276.0.76.10.3118']
Item: (F06Auftrag)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3118']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3118']]/hl7:templateId[@root='1.2.276.0.76.10.3118']"
         id="d19e1568-false-d25133e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3118-2016-01-28T144256.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(F06Auftrag): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3118-2016-01-28T144256.html"
              test="string(@root)=('1.2.276.0.76.10.3118')">(F06Auftrag): Der Wert von @root MUSS '1.2.276.0.76.10.3118' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3118
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3118']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3118']]/hl7:templateId[not(@nullFlavor)]
Item: (F06Auftrag)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3118
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3118']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3118']]/hl7:code[(@code='AUFTRAG' and @codeSystem='1.2.276.0.76.3.1.135.8.5.99')]
Item: (F06Auftrag)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3118']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3118']]/hl7:code[(@code='AUFTRAG' and @codeSystem='1.2.276.0.76.3.1.135.8.5.99')]"
         id="d19e1575-false-d25157e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3118-2016-01-28T144256.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(F06Auftrag): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3118-2016-01-28T144256.html"
              test="@nullFlavor or (@code='AUFTRAG' and @codeSystem='1.2.276.0.76.3.1.135.8.5.99')">(F06Auftrag): Der Elementinhalt MUSS einer von 'code 'AUFTRAG' codeSystem '1.2.276.0.76.3.1.135.8.5.99'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3118
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3118']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3118']]/hl7:title
Item: (F06Auftrag)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3118']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3118']]/hl7:title"
         id="d19e1580-false-d25174e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3118-2016-01-28T144256.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(F06Auftrag): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3118-2016-01-28T144256.html"
              test="text()='Auftrag'">(F06Auftrag): Der Elementinhalt von 'hl7:title' MUSS ''Auftrag'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3118
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3118']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3118']]/hl7:text[not(@nullFlavor)]
Item: (F06Auftrag)
-->
</pattern>
